Debian Bug report logs - #704196
ITP: libraries - Drupal module for shared library management

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Pocock <daniel@pocock.com.au>

Date: Fri, 29 Mar 2013 09:45:05 UTC

Owned by: Daniel Pocock <daniel@pocock.com.au>

Severity: wishlist

Done: Daniel Pocock <daniel@pocock.pro>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704196; Package wnpp. (Fri, 29 Mar 2013 09:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 29 Mar 2013 09:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: submit@bugs.debian.org
Subject: ITP: libraries - Drupal module for shared library management
Date: Fri, 29 Mar 2013 10:42:43 +0100
Package: wnpp
Severity: wishlist
Owner: Daniel Pocock <daniel@pocock.com.au>

Upstream:

  http://drupal.org/project/libraries

License:

  GPL v2 or later

Comments:

This Drupal module allows other Drupal modules to share common code.

Typically, the common code is a third party JavaScript library that is
not wrapped in a Drupal module package itself (Drupal, like Debian,
prefers to avoid embedded library code)

The module appears to be suitable for use with many Debian-packaged
JavaScript libraries.  Each Debian-packaged JavaScript can be made
available in Drupal by creating a symlink from
/usr/share/javascript/something to
/usr/share/drupal7/libraries/something.  As part of this packaging
effort, I will look at whether to automatically create such symlinks for
all installed JavaScript code, or how to allow other packages or the
sysadmin to conveniently create such links as they are required.

I have already tested this paradigm with sipml5 and the drucall module.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704196; Package wnpp. (Fri, 29 Mar 2013 10:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 29 Mar 2013 10:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 704196@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 704196@bugs.debian.org
Subject: initial package created, uploaded
Date: Fri, 29 Mar 2013 11:33:38 +0100

Some issues to be decided:

- naming convention for source package/orig.tar.gz
- is the version 2.1 or is it 7.x-2-1 ?
- patching it to look in /usr/local/drupal/7/libraries
- is there any packaging team that this could belong to, or would it be
worthwhile creating one?

Overview of the concept is in README.Debian:

http://anonscm.debian.org/gitweb/?p=collab-maint/drupal7-mod-libraries.git;a=blob_plain;f=debian/README.Debian;hb=e3c649e06db8dc996771f422d294e0a230be420a

Here is the VCS browser:

  http://git.debian.org/?p=collab-maint/drupal7-mod-libraries.git;a=summary

To clone a copy and build the package locally:

git clone
git://git.debian.org/git/collab-maint/drupal7-mod-libraries.git

cd drupal7-mod-libraries
dpkg-buildpackage -rfakeroot -i.git




Reply sent to Daniel Pocock <daniel@pocock.pro>:
You have taken responsibility. (Mon, 27 Jan 2014 09:48:11 GMT) Full text and rfc822 format available.

Notification sent to Daniel Pocock <daniel@pocock.com.au>:
Bug acknowledged by developer. (Mon, 27 Jan 2014 09:48:11 GMT) Full text and rfc822 format available.

Message #15 received at 704196-done@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.pro>
To: 704196-done@bugs.debian.org
Subject: accepted
Date: Mon, 27 Jan 2014 10:45:09 +0100
The package has been accepted already but the bug was not closed




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Feb 2014 07:35:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:10:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.